Bug 73988 - corrupt rpm database
corrupt rpm database
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2EE
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 12:59 EDT by jhonold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-17 07:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jhonold 2002-09-13 12:59:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
stock rh62ee.  after rpm is upgraded from default 3.x to latest 4.x, rpm -qa, 
rpm -rebuilddb, etc segfault.

tail of rpm -rebuilddb -vvv:

> > D: adding "wu-ftpd" to Name index.
> > D: adding 46 entries to Basenames index.
> > D: adding "System Environment/Daemons" to Group index.
> > D: adding 15 entries to Requirename index.
> > D: adding 2 entries to Providename index.
> > D:   +++        746 bind-8.2.3-0.6.x
> > D: adding "bind" to Name index.
> > D: adding 156 entries to Basenames index.
> > D: adding "System Environment/Daemons" to Group index.
> > D: adding 13 entries to Requirename index.
> > D: adding 1 entries to Providename index.
> > D: adding 1 entries to Triggername index.
> > Segmentation fault (core dumped)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpm -qa or rpm -rebuilddb	

Actual Results:  segmentation fault

Additional info:
Comment 1 Jeff Johnson 2002-09-17 07:56:01 EDT
I need a pointer (i.e. URL, bugzilla attachments
won't work) to a tarball of your database
	cd /var/lib
	tar czvf /tmp/rpmdb.tar.gz rpm
to fix.
Comment 2 Jeff Johnson 2002-09-17 16:40:36 EDT
Fixed in private e-mail.

Note You need to log in before you can comment on or make changes to this bug.